summaryrefslogtreecommitdiffstats
path: root/system-config/components/1170-xfce4-panel
diff options
context:
space:
mode:
Diffstat (limited to 'system-config/components/1170-xfce4-panel')
-rwxr-xr-xsystem-config/components/1170-xfce4-panel52
1 files changed, 52 insertions, 0 deletions
diff --git a/system-config/components/1170-xfce4-panel b/system-config/components/1170-xfce4-panel
new file mode 100755
index 0000000..447cad8
--- /dev/null
+++ b/system-config/components/1170-xfce4-panel
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+## live-config(7) - System Configuration Components
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+#set -e
+
+Cmdline ()
+{
+ # Reading kernel command line
+ for _PARAMETER in ${LIVE_CONFIG_CMDLINE}
+ do
+ case "${_PARAMETER}" in
+ live-config.username=*|username=*)
+ LIVE_USERNAME="${_PARAMETER#*username=}"
+ ;;
+ esac
+ done
+}
+
+Init ()
+{
+ # Checking if package is installed or already configured
+ if [ ! -e /var/lib/dpkg/info/xfce4-panel.list ] || \
+ [ -e /var/lib/live/config/xfce4-panel ]
+ then
+ exit 0
+ fi
+
+ echo -n " xfce4-panel"
+}
+
+Config ()
+{
+ if [ ! -e /home/"${LIVE_USERNAME}"/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml ]
+ then
+ sudo -u "${LIVE_USERNAME}" mkdir -p /home/"${LIVE_USERNAME}"/.config/xfce4/xfconf/xfce-perchannel-xml
+ sudo -u "${LIVE_USERNAME}" cp /etc/xdg/xfce4/panel/default.xml /home/"${LIVE_USERNAME}"/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml
+ fi
+
+ # Creating state file
+ touch /var/lib/live/config/xfce4-panel
+}
+
+Cmdline
+Init
+Config